[arch-commits] Commit in libxp/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Jul 7 12:34:32 EDT 2008


    Date: Monday, July 7, 2008 @ 12:34:32
  Author: jgc
Revision: 4457

upgpkg: libxp 1.0.0-2
    Fix source URL, md5sum, license, options and architecture

Modified:
  libxp/trunk/PKGBUILD

----------+
 PKGBUILD |   21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-07 16:29:51 UTC (rev 4456)
+++ PKGBUILD	2008-07-07 16:34:32 UTC (rev 4457)
@@ -3,21 +3,22 @@
 
 pkgname=libxp
 pkgver=1.0.0
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 X Print Library"
+arch=('i686' 'x86_64')
+license=('custom')
 url="http://xorg.freedesktop.org/"
 depends=('libxext' 'printproto')
 makedepends=('pkgconfig')
-_xorg=X11R7.0-RC4
-_relname=libXp
-source=(${url}/releases/${_xorg}/everything/${_relname}-${pkgver}.tar.bz2)
+options=('!libtool')
+source=(${url}/releases/individual/lib/libXp-${pkgver}.tar.bz2)
+md5sums=('0f4ac39108c1ae8c443cdfac259b58fa')
 
 build() {
-  cd ${startdir}/src/${_relname}-${pkgver}
-  ./configure --prefix=/usr \
-              --host=${CHOST} --build=${CHOST}
+  cd ${srcdir}/libXp-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  find ${startdir}/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=${pkgdir} install || return 1
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-





More information about the arch-commits mailing list